Page MenuHomePhabricator

consistent capitalization of Lexeme/Form/Sense/Item/Property in UI messages
Closed, ResolvedPublic

Description

Problem:
In our messages we are not consistent in capitalizing Lexeme/Form/Sense/Item/Property. They are sometimes lower-case. They should not be if they refer to the Wikibase entity types.

Acceptance criteria:

  • Lexeme, Form, Sense, Item and Property are capitalized in all UI messages.

Event Timeline

Restricted Application added a project: Wikidata. · View Herald TranscriptSep 1 2018, 7:13 PM
Lydia_Pintscher triaged this task as Normal priority.Sep 2 2018, 3:09 PM

Spotted another one: "add sense" link on a Lexeme page haz no capital

Sorry, I had not seen this task, only the fact that "item" was mostly lower case and the WikibaseLexeme entity types mostly upper case. I decided to make them all lower case because that reflects natural language, and obviously a decision for upper case pseudo-proper names would get lost in translation, anyway.

@Vogone Because some of the words (form, sense) can be used both to define and to describe the data types, we decided to have them upper case. Otherwise the senses would not make sense if we keep this form, same for the forms :)

Change 474181 had a related patch set uploaded (by Greta WMDE; owner: Greta Doçi):
[mediawiki/extensions/WikibaseLexeme@master] I changed the lowercase into uppercase of Lexeme/Form/Sense/Item

https://gerrit.wikimedia.org/r/474181

Change 474181 had a related patch set uploaded (by Greta WMDE; owner: Greta Doçi):
[mediawiki/extensions/WikibaseLexeme@master] I changed the lowercase into uppercase of Lexeme/Form/Sense/Item
https://gerrit.wikimedia.org/r/474181

Now it is inconsistent with https://gerrit.wikimedia.org/r/plugins/gitiles/mediawiki/extensions/Wikibase/+/master/lib/i18n/en.json again ("item" always lower case). Please make it consistent or revert, while I would definitely prefer the latter since this "upper casing" is not translatable.

Change 474181 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] I changed the lowercase into uppercase of Lexeme/Form/Sense/Item

https://gerrit.wikimedia.org/r/474181

Base added a subscriber: Base.Nov 16 2018, 3:38 PM
Lydia_Pintscher closed this task as Resolved.Nov 19 2018, 9:50 AM

Change 475098 had a related patch set uploaded (by Greta WMDE; owner: Greta Doçi):
[mediawiki/extensions/Wikibase@master] consistent capitalization of Item/Property in UI messages

https://gerrit.wikimedia.org/r/475098

Change 475098 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Consistent capitalization of Item/Property in UI messages

https://gerrit.wikimedia.org/r/475098